ruby2.6-rubygem-coderay-1.1.2-1.7.x86_64.rpm


Advertisement

Description

ruby2.6-rubygem-coderay - Fast syntax highlighting for selected languages

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename ruby2.6-rubygem-coderay-1.1.2-1.7.x86_64.rpm
Package name ruby2.6-rubygem-coderay
Package version 1.1.2
Package release 1.7
Package architecture x86_64
Package type rpm
Category Development/Languages/Ruby
Homepage http://coderay.rubychan.de
License MIT
Maintainer -
Download size 182.90 KB
Installed size 425.06 KB
Fast and easy syntax highlighting for selected languages, written in Ruby.
Comes with RedCloth integration and LOC counter.

Alternatives

Package Version Architecture Repository
ruby2.6-rubygem-coderay-1.1.2-1.7.i586.rpm 1.1.2 i586 openSUSE Oss
ruby2.6-rubygem-coderay - - -

Requires

Name Value
/usr/bin/ruby.ruby2.6 -
ruby(abi) = 2.6.0
update-alternatives -

Provides

Name Value
ruby2.6-rubygem-coderay = 1.1.2-1.7
ruby2.6-rubygem-coderay(x86-64) = 1.1.2-1.7
rubygem(coderay) = 1.1.2
rubygem(ruby:2.6.0:coderay) = 1.1.2
rubygem(ruby:2.6.0:coderay:1) = 1.1.2
rubygem(ruby:2.6.0:coderay:1.1) = 1.1.2
rubygem(ruby:2.6.0:coderay:1.1.2) = 1.1.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ruby2.6-rubygem-coderay-1.1.2-1.7.x86_64.rpm
Source Package rubygem-coderay-1.1.2-1.7.src.rpm

Install Howto

Install ruby2.6-rubygem-coderay rpm package:

# zypper install ruby2.6-rubygem-coderay

Files

Path
/etc/alternatives/coderay
/etc/alternatives/coderay-1.1.2
/etc/alternatives/coderay.ruby2.6
/usr/bin/coderay
/usr/bin/coderay-1.1.2
/usr/bin/coderay.ruby2.6
/usr/bin/coderay.ruby2.6-1.1.2
/usr/lib64/ruby/gems/2.6.0/cache/coderay-1.1.2.gem
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/MIT-LICENSE
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/README_INDEX.rdoc
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/bin/coderay
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/duo.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/for_redcloth.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/styles.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/token_kinds.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/tokens.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/tokens_proxy.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/version.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/_map.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/comment_filter.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/count.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/debug.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/debug_lint.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/div.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/encoder.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/filter.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/html.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/json.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/lines_of_code.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/lint.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/null.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/page.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/span.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/statistic.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/terminal.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/text.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/token_kind_filter.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/xml.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/yaml.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/html/css.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/html/numbering.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/encoders/html/output.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/helpers/file_type.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/helpers/plugin.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/helpers/plugin_host.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/helpers/word_list.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/_map.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/c.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/clojure.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/cpp.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/css.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/debug.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/delphi.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/diff.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/erb.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/go.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/groovy.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/haml.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/html.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/java.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/java_script.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/json.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/lua.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/php.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/python.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/raydebug.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/ruby.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/sass.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/scanner.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/sql.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/taskpaper.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/text.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/xml.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/yaml.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/java/builtin_types.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/ruby/patterns.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/scanners/ruby/string_state.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/styles/_map.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/styles/alpha.rb
/usr/lib64/ruby/gems/2.6.0/gems/coderay-1.1.2/lib/coderay/styles/style.rb
/usr/lib64/ruby/gems/2.6.0/specifications/coderay-1.1.2.gemspec
/usr/share/doc/packages/ruby2.6-rubygem-coderay/MIT-LICENSE

Changelog

2017-09-11 - coolo@suse.com
- updated to version 1.1.2
no changelog found
2016-02-21 - coolo@suse.com
- updated to version 1.1.1
no changelog found
2014-10-22 - tboerger@suse.com
- Updated to new ruby macros
2013-09-03 - coolo@suse.com
- updated to version 1.1.0, no changelog
2013-03-03 - coolo@suse.com
- updated to version 1.0.9
2012-10-08 - coolo@suse.com
- updated to version 1.0.8, no changelog
2012-06-29 - coolo@suse.com
- update to 1.0.7
2012-04-12 - saschpe@suse.de
- Also provide rubygem-codery-1_0
2012-04-12 - saschpe@suse.de
- Update to version 1.0.6:
2012-01-04 - suse@ammler.ch
- update to version 1.0.5

See Also

Package Description
ruby2.6-rubygem-coderay-doc-1.1.2-1.7.i586.rpm RDoc documentation for coderay
ruby2.6-rubygem-coderay-doc-1.1.2-1.7.x86_64.rpm RDoc documentation for coderay
ruby2.6-rubygem-coercible-1.0.0-1.13.i586.rpm Powerful, flexible and configurable coercion library
ruby2.6-rubygem-coercible-1.0.0-1.13.x86_64.rpm Powerful, flexible and configurable coercion library
ruby2.6-rubygem-coercible-doc-1.0.0-1.13.i586.rpm RDoc documentation for coercible
ruby2.6-rubygem-coercible-doc-1.0.0-1.13.x86_64.rpm RDoc documentation for coercible
ruby2.6-rubygem-coercible-testsuite-1.0.0-1.13.i586.rpm Test suite for coercible
ruby2.6-rubygem-coercible-testsuite-1.0.0-1.13.x86_64.rpm Test suite for coercible
ruby2.6-rubygem-coffee-rails-4.2.2-1.9.i586.rpm CoffeeScript adapter for the Rails asset pipeline
ruby2.6-rubygem-coffee-rails-4.2.2-1.9.x86_64.rpm CoffeeScript adapter for the Rails asset pipeline
ruby2.6-rubygem-coffee-rails-doc-4.2.2-1.9.i586.rpm RDoc documentation for coffee-rails
ruby2.6-rubygem-coffee-rails-doc-4.2.2-1.9.x86_64.rpm RDoc documentation for coffee-rails
ruby2.6-rubygem-coffee-script-2.4.1-1.14.i586.rpm Ruby CoffeeScript Compiler
ruby2.6-rubygem-coffee-script-2.4.1-1.14.x86_64.rpm Ruby CoffeeScript Compiler
ruby2.6-rubygem-coffee-script-doc-2.4.1-1.14.i586.rpm RDoc documentation for coffee-script
Advertisement
Advertisement